Call Details API (Voice Streaming)

Fetch detailed information for a specific call using its callId.

Endpoint Description

GET https://voice-stream.alohaa.ai/v1/voice-stream/call-detailsarrow-up-right

Parameters

Request Headers

Field
Value
Description
Mandatory

Content-Type

application/json

Specifies the content type of the request.

Yes

x-metro-api-key

*************************

API key for authentication purposes.

Yes

Request Parameter

Field
Data Type
Description
Mandatory

call_id

String

Unique identifier of the call

No

destination_number

String

Receiver phone number with country code

No

start_time

String

Start date in YYYY-MM-DD format

No

end_time

String

End date in YYYY-MM-DD format

No

circle-info

Query Parameter Rules

  • Either call_id must be provided or destination_number along with start_time and end_time must be provided

  • Providing both call_id and destination_number/date range in the same request is not allowed.

Sample Request

Responses

Success Response

circle-info

When queried using call_id, the API returns a single call object, whereas queries using destination_number with a date range return an array of call objects.

Failure Response

Last updated